org.apache.solr.client.solrj.impl

## Class SolrClientNodeStateProvider

- java.lang.Object
- - org.apache.solr.client.solrj.impl.SolrClientNodeStateProvider

All Implemented Interfaces:
  Closeable, AutoCloseable, NodeStateProvider, MapSerializable, MapWriter, SolrCloseable

    public class SolrClientNodeStateProvider
    extends Object
    implements NodeStateProvider, MapWriter

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.solr.common.MapWriter

`MapWriter.EntryWriter`

### Field Summary

Fields
`static SolrClientNodeStateProvider` `INST`

### Constructor Summary

Constructors
Constructor and Description
`SolrClientNodeStateProvider(CloudSolrClient solrClient)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `close()`
`Map<String,Object>` `getNodeValues(String node, Collection<String> tags)` Get the value of each tag for a given node
`Map<String,Map<String,List<ReplicaInfo>>>` `getReplicaInfo(String node, Collection<String> keys)` Get the details of each replica in a node.
`String` `toString()`
`void` `writeMap(MapWriter.EntryWriter ew)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.solr.common.SolrCloseable

`isClosed`

### Methods inherited from interface org.apache.solr.common.MapWriter

`jsonStr, toMap`

### Field Detail

#### INST

    public static SolrClientNodeStateProvider INST

### Constructor Detail

#### SolrClientNodeStateProvider

    public SolrClientNodeStateProvider(CloudSolrClient solrClient)

### Method Detail

#### writeMap

    public void writeMap(MapWriter.EntryWriter ew)
                  throws IOException

Specified by:
  `writeMap` in interface `MapWriter`
Throws:
  `IOException`

#### getNodeValues

    public Map<String,Object> getNodeValues(String node,
                                            Collection<String> tags)

Description copied from interface: `NodeStateProvider`
Get the value of each tag for a given node

Specified by:
  `getNodeValues` in interface `NodeStateProvider`
Parameters:
  `node` - node name
  `tags` - tag names
Returns:
  a map of tag vs value

#### getReplicaInfo

    public Map<String,Map<String,List<ReplicaInfo>>> getReplicaInfo(String node,
                                                                    Collection<String> keys)

Description copied from interface: `NodeStateProvider`
Get the details of each replica in a node. It attempts to fetch as much details about the replica as mentioned in the keys list. It is not necessary to give all details

The format is {collection:shard :[{replicadetails}]}.

Specified by:
  `getReplicaInfo` in interface `NodeStateProvider`

#### close

    public void close()
               throws IOException

Specified by:
  `close` in interface `Closeable`
Specified by:
  `close` in interface `AutoCloseable`
Throws:
  `IOException`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`